# Aadhaar Lite

API authenticates the validity and details of an individual's Aadhaar number, providing a secure means for identity verification in various applications.

## POST `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar_lite`

### Post parameters description is given below

| Post Parameter  | Type   | Is Mandatory | Description         |
| --------------- | ------ | ------------ | ------------------- |
| aadhaar\_number | String | Yes          | Your Aadhaar Number |

### Sample Post Parameters

```json
{
  "aadhaar_number": "123456789012"
}
```

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "status": "completed",
  "reference_id": "00eaf2b5-716d-41ad-8f2a-4f8e08de3129",
  "result": {
    "aadhaar_number": "123456789012",
    "age_range": "20-30",
    "state": "Tamil Nadu",
    "gender": "M",
    "last_digits": "167",
    "is_mobile": true
  },
  "requested_at": "2026-02-27T08:53:04.074Z",
  "completed_at": "2026-02-27T07:28:54.677Z"
}
```

### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
  "status": "in_progress",
  "requested_at": "2026-02-26T09:26:36.780Z"
}
```

### 400: Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid Aadhaar Number",
  "error": {
    "message": "Invalid Aadhaar Number",
    "field": "aadhaar_number",
    "code": "BAD_REQUEST"
  }
}

{
  "success": false,
  "code": 400,
  "message": "Aadhaar Number should not be empty",
  "error": {
    "message": "Aadhaar Number should not be empty",
    "field": "aadhaar_number",
    "code": "BAD_REQUEST"
  }
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
  "status": "failed",
  "error": {
    "message": "Aadhaar Number Not Found",
    "code": "ERROR"
  },
  "requested_at": "2026-02-27T08:53:04.074Z",
  "completed_at": "2026-02-27T07:28:54.677Z"
}
```

## GET `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_aadhaar_lite`

### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "status": "completed",
  "reference_id": "00eaf2b5-716d-41ad-8f2a-4f8e08de3129",
  "result": {
    "aadhaar_number": "123456789012",
    "age_range": "20-30",
    "state": "Tamil Nadu",
    "gender": "M",
    "last_digits": "167",
    "is_mobile": true
  },
  "requested_at": "2026-02-27T08:53:04.074Z",
  "completed_at": "2026-02-27T07:28:54.677Z"
}
```

### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
  "status": "in_progress",
  "requested_at": "2026-02-26T09:26:36.780Z"
}
```

### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
  "status": "failed",
  "error": {
    "message": "Aadhaar Number Not Found",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T09:24:03.268Z",
  "completed_at": "2024-04-18T09:24:04.471Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/aadhaar-lite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
